/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ryuuji.servlet.curso.asignatura;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import logica.ExNihilo;
import logica.Search;
import orm.Asignatura;
import orm.Curso;
import orm.Profesor;

/**
 *
 * @author ryuuji
 */
@WebServlet(name = "EliminarAsignatura", urlPatterns = {"/EliminarAsignatura"})
public class EliminarAsignatura extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String nombre = request.getParameter("nombre");
        String cursoID = request.getParameter("curso");
        if (cursoID != null) {
            Curso curso = Search.buscarCurso(Integer.parseInt(cursoID.split("-")[0]), cursoID.split("-")[1]);
            if (curso != null) {
                if (nombre != null || !nombre.equals("")) {
                    Asignatura asignatura = Search.buscarAsignatura(nombre, curso);
                    if (ExNihilo.eliminarAsignatura(asignatura)) {
                        request.getRequestDispatcher("AsignaturaServlet").forward(request, response);
                    } else {
                        request.setAttribute("errorEliminar", "A ocurrido un error innesperado");
                        request.getRequestDispatcher("AsignaturaServlet").forward(request, response);
                    }
                } else {
                    request.setAttribute("errorEliminar", "Debe incluir un nombre");
                    request.getRequestDispatcher("AsignaturaServlet").forward(request, response);
                }
            } else {
                request.setAttribute("errorEliminar", "No existe el curso");
                request.getRequestDispatcher("AsignaturaServlet").forward(request, response);
            }
        } else {
            request.setAttribute("errorEliminar", "No hay ningun curso seleccionado");
            request.getRequestDispatcher("AsignaturaServlet").forward(request, response);
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
